Bug fix version of uclust released

8 07 2010

A bug fix version of the external application uclust was released this week — QIIME and PyNAST users can download binaries from here:

http://www.drive5.com/uclust/downloads1_2_15.html

All users who use PyNAST for aligning sequences (the default) or uclust or uclust_ref for picking OTUs (uclust is the default for pick_otus.py) should install this update as soon as possible.

The primary change addresses an issue where sequences would cluster independently based on the case of the sequence. So for example, in uclust 1.1.579, the sequences ‘ACCGT’ and ‘accgt’ would cluster independently.

Users of the Qiime releases may notice a unit test failure after the upgrade. This has to do with a test for a valid version of uclust. If you get the following error when running test/test_pycogent_backports/test_uclust.py:

==========================
ERROR: uclust version is supported
----------------------------------------
Traceback (most recent call last):
File "tests/test_pycogent_backports/test_uclust.py", line 445, in test_uclust_supported_version
version = tuple(map(int,version_string.split('.')))
ValueError: invalid literal for int() with base 10: 'exportedq'

You don’t need to worry about it. For svn users, a fix has been added to the repository so this test will pass after your next svn update.

As always, get in touch with qiime.help@colorado.edu if you have any questions.

-Greg

Advertisements

Actions

Information




%d bloggers like this: